# EconomPy - The Econometric Python Library

![Python](https://img.shields.io/badge/python-3.12-blue)
[![License: MIT](https://img.shields.io/badge/License-MIT-yellow.svg)](https://opensource.org/licenses/MIT)
[![Build](https://github.com/malill/econompy/actions/workflows/test.yml/badge.svg?branch=main)](https://github.com/malill/econompy/actions/workflows/test.yml)
[![codecov](https://codecov.io/gh/malill/econompy/graph/badge.svg?token=AV6JEZMSIP)](https://codecov.io/gh/malill/econompy)
[![Documentation](https://img.shields.io/badge/ref-Documentation-blue)](https://malill.github.io/econompy/)

This is the documentation for the **EconomPy** library. The library is a collection of econometric functions and classes written in Python. The library is designed to be used in conjunction with the [Pandas](https://pandas.pydata.org/) library.

> The motivation behind the **EconomPy** library is to provide a set of tools for econometric analysis in Python. Instead of using R (Studio) or Stata for econometric analysis, the goal is to provide a Python alternative.

Furthermore, **EconomPy** provides helpful data generating and collecting tools. For example, the library provides a class for scraping data from the web, generating random data, and collecting data from lab-in-the-field experiments.
